Name:		journal-triggerd
Summary:	A daemon that runs in the background, listening to systemd's journal
Version:	0.2.1
Release:	%mkrel 3
License:	GPLv3
Group:		System/Kernel and hardware
Url:		http://jjacky.com/%{name}/
Source0:	http://jjacky.com/%{name}/%{name}-%{version}.tar.gz
Source1:	error.rule.example
Source2:	unit_failed.rule.example

BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	autogen
BuildRequires:	groff

%description
A small daemon that runs in the background, listening to systemd's journal,
and will run "triggers" (i.e. execute a given command line) when certain
messages are added. 
You can define which messages to listen for and what to run when such messages
are added to the journal, by defining rules.

%prep
%setup -q 
%autopatch -p1

%build

%configure

%make_build

%install
%make_install

# remove duplicate and unneeded doc
rm -rf %{buildroot}%{_docdir}/%{name}/html

mkdir -p %{buildroot}%{_sysconfdir}/journal-triggerd.rules
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/journal-triggerd.rules
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/journal-triggerd.rules

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS COPYING HISTORY README.md index.html
%{_bindir}/journal-triggerd
%{_unitdir}/journal-triggerd.service
%{_mandir}/man1/journal-triggerd.1.xz
%dir %{_sysconfdir}/journal-triggerd.rules
%{_sysconfdir}/journal-triggerd.rules/*.example


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.2.1-3.mga8
+ Revision: 1513682
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1298387
- Mageia 7 Mass Rebuild

* Thu Dec 28 2017 barjac <barjac> 0.2.1-1.mga7
+ Revision: 1186850
- new version 0.2.1
- removed patches no longer required
- removed call to autogen.sh no longer provided

* Thu Jun 16 2016 daviddavid <daviddavid> 0.2.0-8.mga6
+ Revision: 1021690
- add a patch to fix build with new systemd

* Mon Feb 15 2016 umeabot <umeabot> 0.2.0-7.mga6
+ Revision: 960725
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 daviddavid <daviddavid> 0.2.0-6.mga6
+ Revision: 895885
- remove duplicate doc

* Tue Oct 27 2015 daviddavid <daviddavid> 0.2.0-5.mga6
+ Revision: 895873
- update doc file list to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 744883
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 680850
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 0.2.0-2.mga5
+ Revision: 672043
- Rebuild for new systemd

* Fri Oct 25 2013 barjac <barjac> 0.2.0-1.mga4
+ Revision: 546913
- bug fix release 0.2.0
- added two simple .rule examples

* Mon Oct 21 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 540624
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 barjac <barjac> 0.1.0-1.mga4
+ Revision: 494073
- imported package journal-triggerd

